Package org.apache.groovy.contracts.common.impl

# Class RequiresAnnotationProcessor

java.lang.Object
org.apache.groovy.contracts.common.spi.AnnotationProcessor
org.apache.groovy.contracts.common.impl.RequiresAnnotationProcessor

public class RequiresAnnotationProcessor extends AnnotationProcessor
Internal `AnnotationProcessor` implementation for pre-conditions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequiresAnnotationProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, MethodNode methodNode, BlockStatement blockStatement, BooleanExpression booleanExpression)`

  ### Methods inherited from class org.apache.groovy.contracts.common.spi.AnnotationProcessor

  `process`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequiresAnnotationProcessor

    public RequiresAnnotationProcessor()

- ## Method Details

  - ### process

    public void process(ProcessingContextInformation processingContextInformation, Contract contract, ClassNode classNode, MethodNode methodNode, BlockStatement blockStatement, BooleanExpression booleanExpression)
    Overrides:
      `process` in class `AnnotationProcessor`